Kirjoittaja Aihe: Päivittäminen 7.04 (Feisty) -> 7.10 (Gutsy) - ohjeet ja ongelmat tänne!  (Luettu 74340 kertaa)

Risto H. Kurppa

  • Käyttäjä
  • Viestejä: 3024
  • Useita Kubuntuja ajossa.
    • Profiili
    • http://risto.kurppa.fi
HUOM! Nämä ohjeet ovat vain Feistyn (7.04) käyttäjille (Dapper 6.06 täytyisi ensiksi päivittää Edgyksi ja siitä vielä Feistyksi - mutta muista että LTS eli pitkäaikainen tuki Dapperille jatkuu vielä muutaman vuoden eli tarvetta päivittämiselle ei pitäisi olla!)


HUOM! Päivitysohje on wikissä: http://wiki.ubuntu-fi.org/Paivittaminen

Koska ongelma/ohje-ketjut sekä Edgyyn että Feistyyn päivittämisestä keräsivät suuren suosion, ajattelin aloittaa tässä vaiheessa uuden vastaavan.

Koitetaan keskittää vaikka tähän threadiin ohjeita ja ongelmia eli kysymyksiä gutsyyn päivittämisestä.

----
Jostain syystä minulla on huonoja kokemuksia päivittämisen kanssa - aina olen omat asennukseni saanut rikki tavalla tai toisella, ainakin tilapäisesti. Päivittäminen on aina vaatinut jotain puukotusta vaikka käytännössä pitäisi olla helppoa ja näppärää. Kerran olen yhden breezyn päivittänyt täysin ilman ongelmia dapperiksi. Sekin oli kaverin kone. Ehkäpä pitäisi vain malttaa odotella virallisia julkaisuja :)


r
« Viimeksi muokattu: 22.10.07 - klo:20.09 kirjoittanut Risto H. Kurppa »
UUSI UBUNTUN KÄYTTÄJÄ: SÄÄSTÄ AIKAASI LUKEMALLA  -> TÄMÄ <-

Risto H. Kurppa

  • Käyttäjä
  • Viestejä: 3024
  • Useita Kubuntuja ajossa.
    • Profiili
    • http://risto.kurppa.fi
Ja tietenkin alkuun omat ongelmat: asentelin aikanaan libmlt(++) -deb -paketteja (saadakseni kdenliven heräämään henkiin) ja ne kenkkuavat nyt:

Lyhyesti ongelma on tässä:
Koodia: [Valitse]
dpkg: error processing /var/cache/apt/archives/libmlt-data_0.2.4-0ubuntu1_all.deb (--unpack):
 trying to overwrite `/usr/share/mlt/modules/feeds/PAL/border.properties', which is also in package mlt

Milläpä siitä pääsisi eroon?

Liitetiedostossa on dpkg:n, aptituden ja apt-getin kommentteja aiheesta..

r


edit: sudo dpkg -i --force-overwrite libmlt-data_0.2.4-0ubuntu1_all.deb ja homma jatkuu taas :)

edit2: myöhemmin päivityksissä tuli sama juttu libkbluetoothin kanssa, eri tiedosto tosin jota päälle kirjoitettiin mutta ratkaisu sama.

[ylläpito on poistanut liitteen]
« Viimeksi muokattu: 28.09.07 - klo:20.52 kirjoittanut Risto H. Kurppa »
UUSI UBUNTUN KÄYTTÄJÄ: SÄÄSTÄ AIKAASI LUKEMALLA  -> TÄMÄ <-

juminy

  • Käyttäjä
  • Viestejä: 500
    • Profiili
ainakaan noin viikko sitten
Koodia: [Valitse]
update-manager -dei toiminut kun yritin. Pitää ensin poistaa seuraava tiedosto:
Koodia: [Valitse]
~/.update-manager-core/meta-release
Lisää aikaisempää höpinääni aiheesta:
 http://forum.ubuntu-fi.org/index.php?topic=9633.msg85307#msg85307

EDIT: jaa, toi voi olla nyt jo korjattukin kun ohjeissa erikseen mainitaan näin: If you upgrade from feisty, please make sure that you have update-manager 0.59.23 from feisty-updates installed. Then run "update-manager -d".
« Viimeksi muokattu: 20.09.07 - klo:09.23 kirjoittanut Jussi Nykänen »

Risto H. Kurppa

  • Käyttäjä
  • Viestejä: 3024
  • Useita Kubuntuja ajossa.
    • Profiili
    • http://risto.kurppa.fi
Muita juttuja mitä tuli vastaan:
 - cups piti sammuttaa käsin (sudo /etc/init.d/cupsys stop)
 - asennus tipautti eth0:n pois käytöstä (eli siis lankaverkon): sudo nano /etc/network/interfaces ja sieltä # pois rivin iface eth0 inet dhcp  edeltä
 - beryl pitää tosiaan siivota pois ja asennella manuaalisesti kaikenlaisia compiz -paketteja..

r
« Viimeksi muokattu: 20.09.07 - klo:13.53 kirjoittanut Risto H. Kurppa »
UUSI UBUNTUN KÄYTTÄJÄ: SÄÄSTÄ AIKAASI LUKEMALLA  -> TÄMÄ <-

juminy

  • Käyttäjä
  • Viestejä: 500
    • Profiili
- asennus tipautti eth0:n pois käytöstä (eli siis lankaverkon): sudo nano /etc/network/interfaces ja sieltä # pois rivin iface eth0 inet dhcp  edeltä

Joo, mulla on kanssa tainnut mennä jo vissiin kahdesti toi säleiks tässä päivitysten myötä (kuolemaa halveksuen olen niitä lataillut) - en nyt enää muista oliko just sama juttu, mutta jotain tonne päin.

Eikun niin joo, ekalla kertaa tais mennä niin, että se lisäs toisen eth0:n ja sitten ei siksi toiminut ja sitten tokalla kertaa tais kadota se ainoa... ja networkmanager sekoili jotain kun sen lisäsin, että ei toimi lankanetti, älä luulekkaan, vaikka ihan hyvin toimi. Ja tämä siis myös bootinkin jälkeen :)

Nyt taas toimii hyvin.

Ja tuohon Riston ohjeeseen tuossa yllä vielä lisäys muille päivittäjille - jos et osaa/halua sorkkia tekstitiedostoja, niin... ääh, siinä tapauksessa jätä päivittäminen lokakuulle wiralliseen hetkeen - tai ehkä parisen viikkoa vielä pidemmälle ;)

(noh, siis se hoituu myös graafisesti osoitteesta system->administration->network ja sieltä sitten lisäät wired connectionin (tai minkä nyt haluatkaan) käyttöön halutuilla asetuksilla)
« Viimeksi muokattu: 20.09.07 - klo:09.37 kirjoittanut Jussi Nykänen »

gefa

  • Vieras
Kokeilin alkuun Feistystä Päivitystä, mutta ainakin KDE versio kilahti täällä täysin, joten vetäsin ihan puhtaan asennuksen alternativella silloin kun tämän tuossa tähän laittelin.

Osasyy voi olla se, että mulla oli ainakin Beryl koneessa kun päivitin ja tonttunaan en muistanut, että eihän sitä enää vaan nyt sitten se compiz-fusiooni jos kuutiot kiehtoo  ::)

No kuitenkin, päivityksen jälkeen jouduin ensin vääntelemään xorgin konffitiedoston uusiksi ja sen kun sain tehtyä, huomasin, että Kde kaatuili jatkuvasti ja paketinhallinta lähinnä adept, oli seonnut totaalisesti.

Mitään ei saannut asennettua ei edes päätteessä, oli vaan lukkoa päällä johon ei mitkään loitsut ja noitumiset auttaneet, joten tympäännyin leikkimiseen, tyrkkäsin kiekon koneeseen ja pistin ihan puhtaalta ja hyvin on toiminut jo toista kuukautta...

Tietysti pieniä vastoinkäymisiä päivitysten kanssa, mutta huomattavasti vähemmän kuin Feistyn testiversion kanssa.

Niin että jos KDE käytössä, niin ei ehkä kannata yritellä ainakaan vielä, sekä ainakin Beryl kaikkine palikoineen kannattaa poistaa ennen yritystä...
« Viimeksi muokattu: 20.09.07 - klo:12.42 kirjoittanut gefa »

juminy

  • Käyttäjä
  • Viestejä: 500
    • Profiili
Tämä on muuten tähän maailmanaikaan vähän väärällä alueella, joten sanotaan tämä vielä kerran: päivittäminen ennen virallista julkaisua ei ole suositeltavaa aloittelijoille, joilla ei ole intoa ihmetellä "mikä sille nyt taas tuli".

gefa

  • Vieras
Tämä on muuten tähän maailmanaikaan vähän väärällä alueella, joten sanotaan tämä vielä kerran: päivittäminen ennen virallista julkaisua ei ole suositeltavaa aloittelijoille, joilla ei ole intoa ihmetellä "mikä sille nyt taas tuli".
Mitäpä tuohon enää lisäämään.
Hiukankin jos on kokemusta jo kertynyt, niin testiversio antaa taas "mielenkiintoisia" haasteita useaan eri otteeseen, itse asiassa vakaa versio on yleensä aika tylsä... ;D

juyli

  • Vieras
Hiiren kursori katoaa uloskirjautuessa [Ratkaistu]
« Vastaus #8 : 11.10.07 - klo:12.37 »
Päivitys Feisty -> Gutsy onnistui ihan mainiosti update-manager:in avulla.

Aivan heti en havainnut ongelmaa. Eli kirjauduttaessa ulos XFCE:stä tai Gnomesta, katoaa hiiren kursori, eikä palaa seuraavaan X-istuntoon edes käynnistämällä GDM uudelleen.
Hiiri kyllä toimii, mutta itse kulloinenkin hiiren kursori ei näy.
Vastaavaan olen joskus törmännyt jossakin muussa jakelussa - samoin palstalla on vastaavasta ongelmasta ollut joskus puhe. Ongelma on joskus korjaantunut päivitysten yhteydessä?
Hiiri on perus hännällinen PS/2 rullahiiri, joka toimii yleensä moitteetta.
Löytyisikö vinkkiä ongelman ratkaisuksi? En ole vielä syvällisemmin tutkinut asiaa, sillä ongelman kanssa tulee kyllä toimeen, kun ongelma on tiedostettu eikä turhaa kirjaudu ulos X:stä.

Lisäys: Hiirenkursori yhä kateissa uloskirjauduttaessa. Epäilykseni vain alkaa kohdistumaan emolevyn piirisarjaan, koska muissa koneissa en törmää ko. ongelmaan. Asiaa tutkitaan edelleen...(tosin laiskasti)
Emo:     ASUS S-AM2 GF6150 VGA DDR2 SATA2 RAID M2NPV-VM

Ongelma ratkennut:
hiiren kursoriongelman ratkaisu oli asentaa uudelleen Xubuntu-desktop. Alunperinhän jakeluna oli Xubuntu.
« Viimeksi muokattu: 25.10.07 - klo:10.24 kirjoittanut juyli »

AkuKalle

  • Käyttäjä
  • Viestejä: 211
    • Profiili
    • ict manuaali
kellään ollut ongelmia äänien kanssa? Itselläni ei ole toiminut 2.6.22-12 kernelin asennuksen jälkeen. kaikki näyttää ok:lle mutta pihaustakaan ei tule ulos. Winukassa äänet pelaa.

larpa

  • Vieras
Päivittäminen gutsyyn jumii
« Vastaus #10 : 12.10.07 - klo:17.36 »
Yritin päivitellä gutsyä: alt+f2 -> update-manager -d
Kaikki menee hyvin kunnes jossakin vaiheessa:

Lainaus
Virhe päivitettäessä

Päivitettäessä tapahtui virhe. Tämä on yleensä jonkinlainen verkko-ongelma. Tarkista verkkoyhteytesi toiminta ja yritä uudelleen.

Failed to fetch http://fi.archive.ubuntu.com/ubuntu/dists/gutsy/Release.gpg
Failed to fetch http://fi.archive.ubuntu.com/ubuntu/dists/gutsy/main/i18n/Translation-fi.bz2
Failed to fetch http://fi.archive.ubuntu.com/ubuntu/dists/gutsy/restricted/i18n/Translation-fi.bz2
Failed to fetch http://fi.archive.ubuntu.com/ubuntu/dists/gutsy/universe/i18n/Translation-fi.bz2
Failed to fetch http://fi.archive.ubuntu.com/ubuntu/dists/gutsy/multiverse/i18n/Translation-fi.bz2
Failed to fetch http://fi.archive.ubuntu.com/ubuntu/dists/gutsy/universe/i18n/Translation-fi.bz2
Failed to fetch http://fi.archive.ubuntu.com/ubuntu/dists/gutsy-updates/Release.gpg
Failed to fetch http://fi.archive.ubuntu.com/ubuntu/dists/gutsy-updates/main/i18n/Translation-fi.bz2
Failed to fetch http://fi.archive.ubuntu.com/ubuntu/dists/gutsy-updates/restricted/i18n/Translation-fi.bz2
Failed to fetch http://fi.archive.ubuntu.com/ubuntu/dists/gutsy-updates/universe/i18n/Translation-fi.bz2
Failed to fetch http://fi.archive.ubuntu.com/ubuntu/dists/gutsy-updates/universe/i18n/Translation-fi.bz2
Failed to fetch http://security.ubuntu.com/ubuntu/dists/gutsy-security/Release.gpg
Failed to fetch http://security.ubuntu.com/ubuntu/dists/gutsy-security/main/i18n/Translation-fi.bz2
Failed to fetch http://security.ubuntu.com/ubuntu/dists/gutsy-security/restricted/i18n/Translation-fi.bz2
Failed to fetch http://security.ubuntu.com/ubuntu/dists/gutsy-security/universe/i18n/Translation-fi.bz2
Failed to fetch http://security.ubuntu.com/ubuntu/dists/gutsy-security/multiverse/i18n/Translation-fi.bz2
Failed to fetch http://security.ubuntu.com/ubuntu/dists/gutsy-security/universe/i18n/Translation-fi.bz2
Failed to fetch http://fi.archive.ubuntu.com/ubuntu/dists/gutsy-backports/Release.gpg
Failed to fetch http://fi.archive.ubuntu.com/ubuntu/dists/gutsy-backports/main/i18n/Translation-fi.bz2
Failed to fetch http://fi.archive.ubuntu.com/ubuntu/dists/gutsy-backports/restricted/i18n/Translation-fi.bz2
Failed to fetch http://fi.archive.ubuntu.com/ubuntu/dists/gutsy-backports/universe/i18n/Translation-fi.bz2
Failed to fetch http://fi.archive.ubuntu.com/ubuntu/dists/gutsy-backports/multiverse/i18n/Translation-fi.bz2

Minulla on ollut aiemminkin ongelmia samojen juttujen kanssa, enkä ole saanut niitä pois, vaan ne toistuvat useasti asentaessani jotakin apt-get:llä. "Lukkoja" olen joutunut myös välillä aukomaan, että saan jonkun paketin asennettua.

Yleensä jonkun paketin asennus menee näin:
Koodia: [Valitse]
sudo apt-get install pakettiladataan
ladataan
wget..jotakin error
Koodia: [Valitse]
sudo apt-get updateladataan...JUMAHTAA
ctrl+c
Koodia: [Valitse]
sudo apt-get update
Koodia: [Valitse]
sudo apt-get install pakettiTässä vaiheessa paketti vasta asentuu.

Sources.list PITÄISI olla kunnossa, mutta luulen ettei ongelma ole siellä koska olen kokeillut sinnekkin säätää kaikkea, sekä kokeillut ns. virallistakin sources.listiä useaan kertaan. Käsittääkseni joka kerralla asennuksien jumahtaminen tapahtuu juurikin Translation-fi.bz2 kohdalla.
Toivottavasti saan tähän ratkaisun, jotta tuo iänikuinen säätö pakettien asennuksen yhteydessä loppuisi.

Lopuksi havaintoesimerkki: ;)
Koodia: [Valitse]
sudo apt-get install windowsPassword:
Luetaan pakettiluetteloita... Valmis
Muodostetaan riippuvuussuhteiden puu       
Luetaan tilatietoja... Valmis       
W: Duplicate sources.list entry http://fi.archive.ubuntu.com feisty/universe Packages (/var/lib/apt/lists/fi.archive.ubuntu.com_ubuntu_dists_feisty_universe_binary-i386_Packages)
W: Duplicate sources.list entry http://fi.archive.ubuntu.com feisty/universe Translation-fi (/var/lib/apt/lists/fi.archive.ubuntu.com_ubuntu_dists_feisty_universe_i18n_Translation-fi)
W: Duplicate sources.list entry http://fi.archive.ubuntu.com feisty-updates/universe Packages (/var/lib/apt/lists/fi.archive.ubuntu.com_ubuntu_dists_feisty-updates_universe_binary-i386_Packages)
W: Duplicate sources.list entry http://security.ubuntu.com feisty-security/universe Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_feisty-security_universe_binary-i386_Packages)
W: Voit haluta suorittaa apt-get update näiden pulmien korjaamiseksi
E: Pakettia windows ei löytynyt

Tällä hetkellä on täällä tehty sources.list: http://www.ubuntu-nl.org/source-o-matic/


---------------------
Ilokaasu siirsi aiheen aihealueelta "Ubuntun käyttö" tähän ketjuun.
« Viimeksi muokattu: 12.10.07 - klo:18.32 kirjoittanut Ilokaasu »

qwertyy

  • Käyttäjä
  • Viestejä: 5680
    • Profiili
Koodia: [Valitse]
update-manager -dTuolla komennolla päivittelin tässä pari tuntia sitten pöytäkoneen ja sitten nyt n.30min sitten tämän läppärini. Kaikki tuntuu toimivan ainakin toistaiseksi ok, eikä kummallakaan tullut mitään virheitä vastaan. Ihan suoraan GUI:sta laitoin päätteeseen tuon komennon.

Tosin läppärillä resoluutio oli käynnistyksessä jostain syystä pielessä, vaikka aiemman feistyn asennuksen jälkeen toimi ihan ok. Toistaalta Wlan toimii nyt :)
« Viimeksi muokattu: 12.10.07 - klo:19.03 kirjoittanut qwertyy »

Tero Kankaanperä

  • Käyttäjä
  • Viestejä: 60
    • Profiili
Kummallisia ongelmia ei päivityksessä itsessään ilmennyt, mutta ikävän taatuman ja pienen ongelman löysin.
Ubuntu on asennettuna Fujitsu-Siemens Amilo Pi 2530-12P kannettavalle, joka käyttää Intelin Pro/Wireless 3945 ABG WLAN piiriä ja ATI Mobility Radeon HD 2300 näytönohjainta.

1) Taantumana tuki WPA yritysverkoille hävisi päivityksessä. Aiemmin WLAN toimi sekä kotona (WPA passphrasella) että kampuksella (WPA RADIUS-palvelinta vasten), mutta päivityksen jälkeen noita WPA Enterprise mallin TKIP ja muita ominaisuuksia ei ole käytettävissä joten verkkoyhteys ei onnistu vaikka verkko löytyy kyllä.

2) Pieni (potentiaalinen) ongelma on siinä, että tämä Gutsyn uusi graafinen näytön ja näytönohjaimen hallinta ei toimi oikein. Jo kannettavaan Ubuntun (7.4) asentaessani sain tehdä hiukan töitä oikean reoluution aikaan saamiseksi (siitä perua viesti tällä foorumilla). Nyt näytönohjain ja näyttö toimii edelleen oikein, mutta asetukset graafisessa hallinnassa ovat oletusarvoissa täysin vailla yhteyttä todellisuuteen ja yritykset laittaa ne kuntoon ovat johtaneet vain erittäin pahannäköisiin (suttuisiin) tuloksiin ja tarpeeseen palata aiempaan "määrittelemättömään" tilaan.

jarzu

  • Käyttäjä
  • Viestejä: 14
    • Profiili
Vaikka kyseessä oli ohjeet ja ongelmat otsikko, päätin kuitenkin laittaa onnistumisen.

Vanhassa IBM T21 koneessa päivitys meni hyvin ilman ongelmia.
Päivityksen tein ihan ajamalla ensin "update-manager -d"  ja sitten päivitysten hallinnan kautta päivittämään...

juyli

  • Vieras
Vs: Päivittäminen gutsyyn jumii
« Vastaus #14 : 14.10.07 - klo:13.39 »
W: Duplicate sources.list entry http://fi.archive.ubuntu.com feisty/universe Packages (/var/lib/apt/lists/fi.archive.ubuntu.com_ubuntu_dists_feisty_universe_binary-i386_Packages)
W: Duplicate sources.list entry http://fi.archive.ubuntu.com feisty/universe Translation-fi
E: Pakettia windows ei löytynyt
Kuten tuossa selkeästi todetaan, sisältää sources.list tiedostosi samoja rivejä useasti.
Lisäksi paketti windows tuskin löytyy Ubuntu-repoista ;)

Tällä hetkellä on täällä tehty sources.list: http://www.ubuntu-nl.org/source-o-matic/
Huh, huh. Täältäkin palstalta löytyy toimivat sources.list listaukset. Kun gutsystä puhutaan,
voi asialliseen Feistyn sources.list tiedostoon korvata Feisty sanan Gutsyllä, ja homma toimii.

En jaksa ymmärtää moisten source-o-matic -ohjelmien käyttöönottoa. Souces.list tiedoston
käpistely ei ole mitenkään vaikeaa. Ja virheilmoitukset ovat yleensä hyvin selkeät.
Perusohjelmat päivityksiin ovat apt-get tai haluttaessa aptitude tai adept. Graafinen on synaptic,
mutta aina graafisien ohjelmien virheilmoitukset eivät ole aivan selviä.

lompolo

  • Käyttäjä
  • Viestejä: 852
    • Profiili
Laitanpa yhden linkin ja yritän tiivistää hieman sen sisältöä. https://wiki.ubuntu.com/GutsyGibbon/ReleaseNotes?

Muistia vaaditaan muuten 256M, mutta desktop asennuslevyllä asentaessa 384M

Desktop asennuslevyllä on only-ubiquity vaihtoehto (pelkkä graafinen asennus ei live työpöytää.

Kehitysversiosta päivittävät saattavat joutua lisäämään paperin koon itse
Koodia: [Valitse]
sudo sh -c 'echo a4 > /etc/papersize'
Liittääkseen NFS tiedostojärjestelmiä, pitää olla nfs-common paketti asennettuna.

Canonicalin commercial pakettilähde on muuttunut. ja on nyt deb http://archive.canonical.com/ gutsy partner
Feistystä update-managerin avulla päivitettäessä ei tule ongelmia.

Network-manager hallitsee vain roaming laitteita. Saa editoida vapaasti tämän osan kuntoon. Itse en ymmärrä.

Lisäksi tuolla on muita kohtia mm.
-Toisen näytön ja cineraman kanssa
-Compizin ja istuntojen hallinnan kanssa
-Pari lisäkohtaa tulostuksesta
-Käyttäjien hallinta työkalussa on jotain ongelmaa.

Näiden takia voi joutua teemään jotain lisähommia.

Risto H. Kurppa

  • Käyttäjä
  • Viestejä: 3024
  • Useita Kubuntuja ajossa.
    • Profiili
    • http://risto.kurppa.fi
UUSI UBUNTUN KÄYTTÄJÄ: SÄÄSTÄ AIKAASI LUKEMALLA  -> TÄMÄ <-

lahill

  • Käyttäjä
  • Viestejä: 54
    • Profiili
Suljettujen ajurien automaattinen asennus työkalu on ollut ongelmallinen (ei käynnisty).
Ubuntu on oikein hyvä.

lompolo

  • Käyttäjä
  • Viestejä: 852
    • Profiili

Risto H. Kurppa

  • Käyttäjä
  • Viestejä: 3024
  • Useita Kubuntuja ajossa.
    • Profiili
    • http://risto.kurppa.fi
Päivitysohjeet 7.04 -> 7.10:
http://wiki.ubuntu-fi.org/Paivittaminen


(ps, vasta kun se gutsy on wirallisesti saatu julkaistua :)
« Viimeksi muokattu: 18.10.07 - klo:10.08 kirjoittanut Risto H. Kurppa »
UUSI UBUNTUN KÄYTTÄJÄ: SÄÄSTÄ AIKAASI LUKEMALLA  -> TÄMÄ <-